Page MenuHomePhabricator

https://wikitech.wikimedia.org/wiki/Special:FormEdit/Tools_Access_Request down
Closed, ResolvedPublic

Description

http://tools.wmflabs.org/ says to request access to tool labs and links to:

https://wikitech.wikimedia.org/wiki/Special:FormEdit/Tools_Access_Request

but that page is down (no content)

Event Timeline

Dzahn created this task.Jan 13 2016, 10:35 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added projects: Toolforge, Cloud-VPS.
Dzahn added a subscriber: Dzahn.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJan 13 2016, 10:35 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Dzahn set Security to None.Jan 13 2016, 10:36 PM
Krenair added a subscriber: Krenair.
2016-01-13 22:54:56 silver labswiki fatal ERROR: [bd535472] PHP Fatal Error: Call to a member function formHTML() on a non-object {"exception_id":"bd535472"} 
[Exception ErrorException] (/srv/mediawiki/php-1.27.0-wmf.10/extensions/SemanticForms/includes/SF_AutoeditAPI.php:915) PHP Fatal Error: Call to a member function formHTML() on a non-object
  #0 [internal function]: MWExceptionHandler::handleFatalError()
  #1 {main}

Also:

2016-01-13 22:55:20 silver labswiki fatal ERROR: [0d2adf8e] PHP Fatal Error: Call to undefined function wfMsgExt() {"exception_id":"0d2adf8e"} 
[Exception ErrorException] (/srv/mediawiki/php-1.27.0-wmf.10/extensions/SemanticMediaWiki/includes/articlepages/SMW_PropertyPage.php:114) PHP Fatal Error: Call to undefined function wfMsgExt()
  #0 [internal function]: MWExceptionHandler::handleFatalError()
  #1 {main}

suggesting to do T123601 whether we keep using SMW or not

Change 264023 had a related patch set uploaded (by Reedy):
Add lots of wfMsg*() for wikitech

https://gerrit.wikimedia.org/r/264023

Yaron_Koren added a subscriber: Yaron_Koren.EditedJan 15 2016, 4:49 AM

This appears to have just been a Semantic MediaWiki problem - I'm guessing that the SF error message was just a compound effect or something.

I should note that Semantic Forms does not require the presence of SMW - not that I'm suggesting you get rid of SMW.

Wikitech will be rolled back to 1.27.0-wmf.9 so stuff isn't just broken

(source: https://phabricator.wikimedia.org/T123599#1933492)

Change 265166 had a related patch set uploaded (by Reedy):
Replace wfMsg*() usages in 1.8.x branch for WMF usages

https://gerrit.wikimedia.org/r/265166

Change 265167 had a related patch set uploaded (by Reedy):
Replace wfMsg*() usages in 1.8.x branch for WMF usages

https://gerrit.wikimedia.org/r/265167

Change 265172 had a related patch set uploaded (by Reedy):
Replace wfMsg*() usages in 0.5.x branch for WMF usages

https://gerrit.wikimedia.org/r/265172

Change 264023 abandoned by Reedy:
Add lots of wfMsg*() for wikitech

Reason:
I've made patches fixing up the extensions branches, so this is even less needed now

https://gerrit.wikimedia.org/r/264023

Change 265166 merged by jenkins-bot:
Replace wfMsg*() usages in 1.8.x branch for WMF usages

https://gerrit.wikimedia.org/r/265166

Change 265196 had a related patch set uploaded (by Alex Monk):
Update SemanticResultFormats for I4c28907d

https://gerrit.wikimedia.org/r/265196

Change 265172 merged by Florianschmidtwelzow:
Replace wfMsg*() usages in 0.5.x branch for WMF usages

https://gerrit.wikimedia.org/r/265172

Change 265167 merged by jenkins-bot:
Replace wfMsg*() usages in 1.8.x branch for WMF usages

https://gerrit.wikimedia.org/r/265167

Change 265196 abandoned by Reedy:
Update SemanticResultFormats for I4c28907d

Reason:
No-op after https://gerrit.wikimedia.org/r/#/c/265247/

https://gerrit.wikimedia.org/r/265196

Reedy closed this task as Resolved.Jan 20 2016, 9:10 PM
Reedy claimed this task.
Reedy closed this task as Resolved.Jan 20 2016, 11:57 PM

Because it was reverted back to .10

Backported and fixed again!